## os-prober 1.49

=== debian/changelog ===
os-prober (1.49) unstable; urgency=low

  [ Robert Millan ]
  * Depend on grub-mount-udeb only on architectures with FUSE support.

  [ Colin Watson ]
  * Restrict grub-mount-udeb dependency to architectures where
    grub-mount-udeb exists (closes: #639599).

 -- Colin Watson <cjwatson@debian.org>  Mon, 29 Aug 2011 12:34:21 +0100

os-prober (1.48) unstable; urgency=low

  [ Colin Watson ]
  * Depend on grub-mount-udeb (see changelog for 1.45).
  * item_in_dir: return 1 immediately if second argument is not a directory
    (thanks, Daniel Richard G.; LP: #798447).

  [ Otavio Salvador ]
  * add MeeGo detection support; thanks to Chengwei Yang
    <chengwei.yang@intel.com> for the patch.
  * Fix Windows detection when there are more then one boot directories
    (e.g boot and Boot). Closes: #634649.

 -- Otavio Salvador <otavio@debian.org>  Sat, 23 Jul 2011 17:46:13 +0200

os-prober (1.47) unstable; urgency=low

  [ Joey Hess ]
  * Fix unwanted wildcard expansions. Closes: #624815

 -- Otavio Salvador <otavio@debian.org>  Sun, 15 May 2011 17:49:10 -0300

os-prober (1.46) unstable; urgency=low

  * Correct syntax error in LFS detection. Closes: #623981

 -- Christian Perrier <bubulle@debian.org>  Mon, 25 Apr 2011 07:09:02 +0200

os-prober (1.45) unstable; urgency=low

  [ Matti Kurkela ]
  * Improve MS-DOS detection by using an absolute path when verifying
    that "dos" is a directory.

  [ Colin Watson ]
  * Fix fatal typo in QNX prober.
  * Use grub-mount if it exists.  This lets us do true read-only mounts, and
    works better on journalling filesystems that were mounted uncleanly
    (LP: #683355).
  * Attempt to load the fuse module, to improve the chances of grub-mount
    working.

  [ Armin Krejzi ]
  * Add detection of Linux From Scratch distribution. Closes: #623939

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Apr 2011 20:02:10 +0200

=== debian/control ===
Source: os-prober
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 7.0.50)
Standards-Version: 3.6.1.0
Vcs-Browser: http://git.debian.org/?p=d-i/os-prober.git
Vcs-Git: git://git.debian.org/d-i/os-prober.git

Package: os-prober-udeb
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, di-utils-mapdevfs, anna (>= 1.16), grub-mount-udeb [i386 amd64 powerpc ppc64 sparc mipsel kfreebsd-i386 kfreebsd-amd64]
Provides: os-prober
Description: utility to detect other OSes on a set of drives
 This package is to be used by boot loader installers to detect other OSes
 available on a system, in a generic format, which it can then adapt to its
 own configuration format.

Package: os-prober
Architecture: any
Section: utils
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to detect other OSes on a set of drives
 This package detects other OSes available on a system and outputs the
 results in a generic machine-readable format.

## os-prober 1.49ubuntu1

=== debian/changelog ===
os-prober (1.49ubuntu1) oneiric; urgency=low

  [ Surbhi Palande ]
  * mount btrfs subvolume @ when present to access a btrfs formatted rootfs.
    (LP: #764893)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 16 Sep 2011 14:01:36 +0100

## os-prober 1.50

=== debian/changelog ===
os-prober (1.50) unstable; urgency=low

  [ Joey Hess ]
  * Clarify license version is GPL-2+, for all code written by Joey
    Hess, Colin Watson, Christian Perrier, Otavio Salvador and
    Joshua Kwan. The license had just been "GNU GPL"; other contributors
    to os-prober are encouraged to clarify which GPL versions apply to
    their code.

  [ Otavio Salvador ]
  * Add support to detect BSD systems. Thanks to Gavrilin Andrey
    <gaal.dev@gmail.com> for the patch (refs: #659208).

  [ Joey Hess ]
  * Avoid false positives in MS-DOS detection by also looking for
    autoexec.bat. Closes: #663540 

  [ Colin Watson ]
  * When using grub-mount, pass the GRUB filesystem type to individual tests
    rather than "fuseblk".  Adjust a number of tests to handle GRUB
    filesystem names as well as OS names (closes: #663540, #663600).

 -- Colin Watson <cjwatson@debian.org>  Thu, 15 Mar 2012 13:52:30 +0000

## os-prober 1.51ubuntu3

=== debian/changelog ===
os-prober (1.51ubuntu3) precise; urgency=low

  * When called with WINOSDATA, return the list of Windows partitions
    containing the system instead of only listing these containing the
    bootrecord. (LP: #772470)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 04 Apr 2012 18:34:56 -0400

os-prober (1.51ubuntu2) precise; urgency=low

  * Add support for Windows 8.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 04 Apr 2012 13:30:28 -0400

os-prober (1.51ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Mount btrfs subvolume @ when present to access a btrfs formatted
      rootfs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 Mar 2012 18:48:08 +0100

os-prober (1.51) unstable; urgency=low

  [ Joey Hess ]
  * Relax the MS-DOS detection again now that it will not cause
    false positives for non-FAT filesystems.

  [ Colin Watson ]
  * Use 'type' rather than 'which' to test for grub-mount, as d-i doesn't
    have 'which'.  Also test for grub-probe before using it, as that isn't
    currently in grub-mount-udeb and I'm going to need to add it
    (LP: #963471).

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Mar 2012 15:47:04 +0100

os-prober (1.50ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Mount btrfs subvolume @ when present to access a btrfs formatted
      rootfs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Mar 2012 15:13:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: os-prober
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>, Joey Hess <joeyh@debian.org>
 Build-Depends: debhelper (>= 7.0.50)
 Standards-Version: 3.6.1.0
-Vcs-Browser: http://git.debian.org/?p=d-i/os-prober.git
-Vcs-Git: git://git.debian.org/d-i/os-prober.git
+XS-Vcs-Browser: http://git.debian.org/?p=d-i/os-prober.git
+XS-Vcs-Git: git://git.debian.org/d-i/os-prober.git
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/os-prober/ubuntu
 
 Package: os-prober-udeb
 XC-Package-Type: udeb

=== debian/rules ===
#! /usr/bin/make -f
# debhelper rules for os-prober
# (C) 2004 Joshua Kwan <joshk@triplehelix.org>

%:
	dh $@

ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(findstring :$(ARCH):,:i386:amd64:))
ARCH=x86
endif

override_dh_install:
	dh_install
	for probes in os-probes os-probes/mounted os-probes/init \
	              linux-boot-probes linux-boot-probes/mounted; do \
		dh_install $$probes/common/* usr/lib/$$probes; \
		if [ -e "$$probes/$(ARCH)" ]; then \
			dh_install $$probes/$(ARCH)/* usr/lib/$$probes; \
		fi; \
	done
ifeq ($(ARCH),x86)
	dh_install os-probes/mounted/powerpc/20macosx usr/lib/os-probes/mounted
endif
	cp -a debian/os-prober-udeb/usr/lib debian/os-prober/usr/

## os-prober 1.56

=== debian/changelog ===
os-prober (1.56) unstable; urgency=low

  [ Hedayat Vatankhah ]
  * Add support for probing Fedora's location for the GRUB 2 configuration
    file (closes: #674560).

  [ Colin Watson ]
  * Fix the parsing code in the grub2 handler so that it no longer gets
    hopelessly confused by multiple single-quoted strings on the same line,
    as produced by GRUB 2.00.

 -- Colin Watson <cjwatson@debian.org>  Mon, 17 Sep 2012 19:02:29 +0100

os-prober (1.55) unstable; urgency=low

  * Improve detection of Haiku: detect the 64-bit version
    Closes: #685228
  * Add myself to Uploaders

 -- Christian Perrier <bubulle@debian.org>  Sat, 25 Aug 2012 09:58:51 +0200

os-prober (1.54) unstable; urgency=low

  * Team upload

  [ Joey Hess ]
  * Avoid noise when /proc/swaps does not exist. Closes: #673566

 -- Christian Perrier <bubulle@debian.org>  Sat, 07 Jul 2012 20:42:47 +0200

os-prober (1.53) unstable; urgency=low

  * Team upload
  * Use Package-Type instead of deprecated XC-Package-Type
    for os-prober-udeb
  * Add ${misc:Depends} to udeb dependencies
  * Link to explicit GPL-2 document in debian/copyright
  * sed off (hdn,n) from the front of an initrd path,
    as seen in Mandriva/Mageia grub configs.
    Thanks to François Jaouen and Barry Jackson for the patch
    Closes: #566102

 -- Christian Perrier <bubulle@debian.org>  Mon, 07 May 2012 22:37:20 +0200

os-prober (1.52) unstable; urgency=low

  [ Stéphane Graber ]
  * Add support for Windows 8.

  [ Colin Watson ]
  * Install README and TODO in the .deb.

  [ Joey Hess ]
  * Revert broken patch adding support for BSD distributions. Closes: #668860

 -- Joey Hess <joeyh@debian.org>  Fri, 20 Apr 2012 10:50:38 -0400

=== debian/control ===
Source: os-prober
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Joey Hess <joeyh@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 7.0.50)
Standards-Version: 3.9.3
Vcs-Browser: http://git.debian.org/?p=d-i/os-prober.git
Vcs-Git: git://git.debian.org/d-i/os-prober.git

Package: os-prober-udeb
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, di-utils-mapdevfs, anna (>= 1.16), grub-mount-udeb [i386 amd64 powerpc ppc64 sparc mipsel kfreebsd-i386 kfreebsd-amd64]
Provides: os-prober
Description: utility to detect other OSes on a set of drives
 This package is to be used by boot loader installers to detect other OSes
 available on a system, in a generic format, which it can then adapt to its
 own configuration format.

Package: os-prober
Architecture: any
Section: utils
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to detect other OSes on a set of drives
 This package detects other OSes available on a system and outputs the
 results in a generic machine-readable format.

## os-prober 1.56ubuntu1

=== debian/changelog ===
os-prober (1.56ubuntu1) quantal; urgency=low

  * Resynchronise with Debian (LP: #1050774).  Remaining changes:
    - Mount btrfs subvolume @ when present to access a btrfs formatted
      rootfs.
    - When called with WINOSDATA, return the list of Windows partitions
      containing the system instead of only listing these containing the
      bootrecord.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Sep 2012 00:05:11 +0100

os-prober (1.54ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Mount btrfs subvolume @ when present to access a btrfs formatted
      rootfs.
    - When called with WINOSDATA, return the list of Windows partitions
      containing the system instead of only listing these containing the
      bootrecord. (LP: #772470)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 09 Jul 2012 10:54:52 -0400

os-prober (1.52ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Mount btrfs subvolume @ when present to access a btrfs formatted
      rootfs.
    - When called with WINOSDATA, return the list of Windows partitions
      containing the system instead of only listing these containing the
      bootrecord. (LP: #772470)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 02 May 2012 09:14:38 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: os-prober
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>, Joey Hess <joeyh@debian.org>, Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 7.0.50)
 Standards-Version: 3.9.3
-Vcs-Browser: http://git.debian.org/?p=d-i/os-prober.git
-Vcs-Git: git://git.debian.org/d-i/os-prober.git
+XS-Vcs-Browser: http://git.debian.org/?p=d-i/os-prober.git
+XS-Vcs-Git: git://git.debian.org/d-i/os-prober.git
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/os-prober/ubuntu
 
 Package: os-prober-udeb
 Package-Type: udeb

## os-prober 1.57ubuntu1

=== debian/changelog ===
os-prober (1.57ubuntu1) raring; urgency=low

  * Resynchronise with Debian (LP: #1038093).  Remaining changes:
    - Mount btrfs subvolume @ when present to access a btrfs formatted
      rootfs.
    - When called with WINOSDATA, return the list of Windows partitions
      containing the system instead of only listing these containing the
      bootrecord.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 05 Feb 2013 11:25:43 +0100

os-prober (1.57) unstable; urgency=low

  [ Christian Perrier ]
  * Deal with grub-probe exiting with non zero status on some
    devices, which in turns can stuck update-grub
    Closes: #680084

  [ Joey Hess ]
  * Fix detection of Fedora and other distros that moved /lib into /usr
    and left behind a symlink. Grub's filesystem code does not support
    symlinks. Closes: #685159 Thanks Andreas Bombe for the patch.

 -- Christian Perrier <bubulle@debian.org>  Sat, 22 Dec 2012 12:54:54 +0100

## os-prober 1.58

=== debian/changelog ===
os-prober (1.58) unstable; urgency=low

  [ Steve McIntyre ]
  * add UEFI support, patch from Andrey Borzenkov:
    + skip legacy MS loader detection on UEFI platform
    + add framework for searching EFI System Partition
    + add scripts that detect Microsoft bootloader and ELILO.
  * Add myself to uploaders.

 -- Steve McIntyre <93sam@debian.org>  Sun, 28 Apr 2013 16:01:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: os-prober
 Section: debian-installer
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Colin Watson <cjwatson@debian.org>, Joey Hess <joeyh@debian.org>, Christian Perrier <bubulle@debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Uploaders: Colin Watson <cjwatson@debian.org>, Joey Hess <joeyh@debian.org>, Christian Perrier <bubulle@debian.org>, Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 7.0.50)
 Standards-Version: 3.9.3
-XS-Vcs-Browser: http://git.debian.org/?p=d-i/os-prober.git
-XS-Vcs-Git: git://git.debian.org/d-i/os-prober.git
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/os-prober/ubuntu
+Vcs-Browser: http://git.debian.org/?p=d-i/os-prober.git
+Vcs-Git: git://git.debian.org/d-i/os-prober.git
 
 Package: os-prober-udeb
 Package-Type: udeb

## os-prober 1.61ubuntu1

=== debian/changelog ===
os-prober (1.61ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Mount btrfs subvolume @ when present to access a btrfs formatted
      rootfs.
    - When called with WINOSDATA, return the list of Windows partitions
      containing the system instead of only listing these containing the
      bootrecord.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 21 May 2013 23:03:55 +0100

os-prober (1.61) unstable; urgency=low

  * Add an extra backslash to the code in parse_proc_mdstat to remove [...],
    so that it works properly in dash (thanks, John Ryan; LP: #905607).

 -- Colin Watson <cjwatson@debian.org>  Tue, 21 May 2013 22:57:42 +0100

os-prober (1.60) unstable; urgency=low

  * os-probes/mounted/x86/05efi: Handle the case where we used grub-mount to
    mount the EFI System Partition.

 -- Colin Watson <cjwatson@debian.org>  Fri, 17 May 2013 13:02:41 +0100

os-prober (1.59ubuntu2) saucy; urgency=low

  * Re-enable os-probes/mounted/x86/20microsoft on EFI systems if WINOSDATA
    is set.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 May 2013 12:42:06 +0100

os-prober (1.59ubuntu1) saucy; urgency=low

  * Resynchronise with Debian (LP: #1178072).  Remaining changes:
    - Mount btrfs subvolume @ when present to access a btrfs formatted
      rootfs.
    - When called with WINOSDATA, return the list of Windows partitions
      containing the system instead of only listing these containing the
      bootrecord.

 -- Matthew Fischer <matthew.fischer@canonical.com>  Wed, 08 May 2013 21:42:12 -0600

os-prober (1.59) unstable; urgency=low

  [ Colin Watson ]
  * Fix cross-building and use dpkg-buildflags.

 -- Christian Perrier <bubulle@debian.org>  Wed, 15 May 2013 17:36:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: os-prober
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>, Joey Hess <joeyh@debian.org>, Christian Perrier <bubulle@debian.org>, Steve McIntyre <93sam@debian.org>
-Build-Depends: debhelper (>= 7.0.50)
+Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.15.7)
 Standards-Version: 3.9.3
-Vcs-Browser: http://git.debian.org/?p=d-i/os-prober.git
-Vcs-Git: git://git.debian.org/d-i/os-prober.git
+XS-Vcs-Browser: http://git.debian.org/?p=d-i/os-prober.git
+XS-Vcs-Git: git://git.debian.org/d-i/os-prober.git
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/os-prober/ubuntu
 
 Package: os-prober-udeb
 Package-Type: udeb

## os-prober 1.63

=== debian/changelog ===
os-prober (1.63) unstable; urgency=low

  [ Cyril Brulebois ]
  * Drop reiserfs, it's no longer supported.

 -- Christian Perrier <bubulle@debian.org>  Tue, 23 Jul 2013 09:38:17 +0200

os-prober (1.62) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

  [ Christian Perrier ]
  * Update Standards to 3.9.4 (checked)

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Jul 2013 12:43:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: os-prober
 Section: debian-installer
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>, Joey Hess <joeyh@debian.org>, Christian Perrier <bubulle@debian.org>, Steve McIntyre <93sam@debian.org>
-Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.15.7)
-Standards-Version: 3.9.3
-XS-Vcs-Browser: http://git.debian.org/?p=d-i/os-prober.git
-XS-Vcs-Git: git://git.debian.org/d-i/os-prober.git
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/os-prober/ubuntu
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7)
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/os-prober.git
+Vcs-Git: git://anonscm.debian.org/d-i/os-prober.git
 
 Package: os-prober-udeb
 Package-Type: udeb

## os-prober 1.63ubuntu1

=== debian/changelog ===
os-prober (1.63ubuntu1) trusty; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Mount btrfs subvolume @ when present to access a btrfs formatted
      rootfs.
    - When called with WINOSDATA, return the list of Windows partitions
      containing the system instead of only listing these containing the
      bootrecord.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 13 Feb 2014 11:24:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: os-prober
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>, Joey Hess <joeyh@debian.org>, Christian Perrier <bubulle@debian.org>, Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7)
 Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/os-prober.git
-Vcs-Git: git://anonscm.debian.org/d-i/os-prober.git
+XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/os-prober.git
+XS-Debian-Vcs-Git: git://anonscm.debian.org/d-i/os-prober.git
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/os-prober/ubuntu
 
 Package: os-prober-udeb
 Package-Type: udeb

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,23 @@
 ifneq (,$(findstring :$(ARCH):,:i386:amd64:))
 ARCH=x86
 endif
+
+DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
+ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+CC := gcc
+else
+CC := $(DEB_HOST_GNU_TYPE)-gcc
+endif
+
+export DEB_CFLAGS_MAINT_APPEND := -Os -Wall
+
+CFLAGS := $(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CFLAGS)
+LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+
+override_dh_auto_build:
+	$(MAKE) CC=$(CC) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 override_dh_install:
 	dh_install

## os-prober 1.63ubuntu1.1

=== debian/changelog ===
os-prober (1.63ubuntu1.1) trusty; urgency=medium

  * os-probes/mounted/x86/20microsoft:
    - add Windows 10 to the list (thanks for David Martin for the patch!)
      (LP: #1482851)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Sun, 20 Dec 2015 21:49:21 +0200

## os-prober 1.63ubuntu2

=== debian/changelog ===
os-prober (1.63ubuntu2) wily; urgency=medium

  * os-probes/mounted/x86/20microsoft:
    - add Windows 10 to the list (thanks for David Martin for the patch!)
      (LP: #1482851)
    - cherry-pick a change from Debian: use -a with grep in case the file
      isn't considered a text file.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 21 Sep 2015 14:52:53 -0400

## os-prober 1.65

=== debian/changelog ===
os-prober (1.65) unstable; urgency=medium

  [ Steve McIntyre ]
  * Recognise the new ignore_uefi flag from partman-efi.

 -- Steve McIntyre <93sam@debian.org>  Tue, 25 Nov 2014 17:41:06 +0000

os-prober (1.64) unstable; urgency=medium

  [ Frederic Bonnard ]
  * Add ppc64el support.  Closes: #752416.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 17 Aug 2014 23:36:52 +0200

## os-prober 1.65+deb8u1

=== debian/changelog ===
os-prober (1.65+deb8u1) jessie; urgency=medium

  * os-probes/mounted/x86/05efi: Fix check on ID_PART_ENTRY_SCHEME, to
    look for "dos" instead of "msdos" (Closes: #817023).
  * Add -a flag to grep -qs for Windows Vista detection. It appears the
    file isn't always considered as a text file, so this should be more
    robust. Thanks to Gianluigi Tiesi for the report and the suggestion
    (Closes: #791383).
  * Add support for Windows 10 (otherwise reported as Windows Recovery
    Environment). Thanks, Philipp Wolfer! (Closes: #801278).

 -- Cyril Brulebois <kibi@debian.org>  Thu, 13 Jul 2017 13:25:12 +0200

## os-prober 1.70

=== debian/changelog ===
os-prober (1.70) unstable; urgency=medium

  [ Justus Winter ]
  * Fix hurd-any support: Test for /servers instead of /servers/exec to avoid
    starting an translator in the mounted system. Also, /hurd/init might be
    phased out at some point (Closes: #802053).

 -- Christian Perrier <bubulle@debian.org>  Tue, 27 Oct 2015 06:45:58 +0100

os-prober (1.68) unstable; urgency=medium

  * Adjust extended dos partition support for blkid/util-linux 2.24+,
    thanks to Andreas Henriksson (Closes: #735169).
  * Add support for Windows 10 (otherwise reported as Windows Recovery
    Environment). Thanks, Philipp Wolfer! (Closes: #801278).

 -- Cyril Brulebois <kibi@debian.org>  Thu, 08 Oct 2015 14:26:16 +0200

os-prober (1.67) unstable; urgency=medium

  [ James Clarke ]
  * rules: Use DEB_HOST_ARCH_CPU instead of DEB_HOST_ARCH, and thus treat
    *-{i386,amd64} as x86
  * Support probing on hurd-any.  Closes: #799883.

 -- Christian Perrier <bubulle@debian.org>  Wed, 30 Sep 2015 06:55:48 +0200

os-prober (1.66) unstable; urgency=medium

  * Add -a flag to grep -qs for Windows Vista detection. It appears the
    file isn't always considered as a text file, so this should be more
    robust. Thanks to Gianluigi Tiesi for the report and the suggestion
    (Closes: #791383).

 -- Cyril Brulebois <kibi@debian.org>  Fri, 10 Jul 2015 01:34:23 +0200

=== debian/control ===
Source: os-prober
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7)
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/os-prober.git
Vcs-Git: git://anonscm.debian.org/d-i/os-prober.git

Package: os-prober-udeb
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, di-utils-mapdevfs, anna (>= 1.16), grub-mount-udeb [i386 amd64 powerpc ppc64 ppc64el sparc mipsel kfreebsd-i386 kfreebsd-amd64]
Provides: os-prober
Description: utility to detect other OSes on a set of drives
 This package is to be used by boot loader installers to detect other OSes
 available on a system, in a generic format, which it can then adapt to its
 own configuration format.

Package: os-prober
Architecture: any
Section: utils
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to detect other OSes on a set of drives
 This package detects other OSes available on a system and outputs the
 results in a generic machine-readable format.

## os-prober 1.70ubuntu3

=== debian/changelog ===
os-prober (1.70ubuntu3) xenial; urgency=low

  * Check for MSDOS extended partitions and skip any further tests which
    would require the partition to be mounted (LP: #1374759). 

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 08 Mar 2016 09:35:20 +0100

os-prober (1.70ubuntu2) xenial; urgency=medium

  [ Mario Chamorro ]
  * Sort detected kernels by modification time, if possible. (LP:
    #1317153)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 23 Feb 2016 16:10:29 +0000

os-prober (1.70ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Mount btrfs subvolume @ when present to access a btrfs formatted
      rootfs.
    - When called with WINOSDATA, return the list of Windows partitions
      containing the system instead of only listing these containing the
      bootrecord.

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 20 Nov 2015 11:06:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: os-prober
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7)
 Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/os-prober.git
-Vcs-Git: git://anonscm.debian.org/d-i/os-prober.git
+XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/os-prober.git
+XS-Debian-Vcs-Git: git://anonscm.debian.org/d-i/os-prober.git
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/os-prober/ubuntu
 
 Package: os-prober-udeb
 Package-Type: udeb

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,8 @@
 %:
 	dh $@
 
-ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
-ifneq (,$(findstring :$(ARCH):,:i386:amd64:))
+ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
+ifneq (,$(filter i386 amd64,$(ARCH)))
 ARCH=x86
 endif

## os-prober 1.70ubuntu3.3

=== debian/changelog ===
os-prober (1.70ubuntu3.3) xenial; urgency=medium

  * More fixes to not mangle partitions that can't be safely detected via
    mounting:  (LP: #1579609)
    - os-probes/common/50mounted-tests: Add statement to skip probing when a
      partition is detected as LVM2_member.
    - Synchronize os-probes/common/50mounted-tests and
      linux-boot-probes/common/50mounted-tests so they behave the same with
      regards too LVM members and extended partitions.
    - Fix fs_types() to not return with an error code, in all cases it should
      return a value of NOT-DETECTED if the partition type could not be
      detected; this includes MSDOS extended partitions.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 18 Jan 2017 13:01:07 -0500

os-prober (1.70ubuntu3.2) xenial; urgency=critical

  * debian/control: add missing Depends on grub-common (which ships grub-mount
    and grub-probe) now that this is the only path to probing for filesystems. 

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 14 Dec 2016 09:57:54 -0500

os-prober (1.70ubuntu3.1) xenial; urgency=critical

  * os-probes/common/50mounted-tests: don't mount filesystems with mount for
    probing as that can cause corruption in some cases. (LP: #1579609)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Tue, 06 Dec 2016 10:05:22 -0500

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
 Architecture: any
 Section: utils
 Priority: extra
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, grub-common
 Description: utility to detect other OSes on a set of drives
  This package detects other OSes available on a system and outputs the
  results in a generic machine-readable format.

## os-prober 1.71

=== debian/changelog ===
os-prober (1.71) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Add support for 4MLinux, thanks to Zbigniew Konojacki.

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Sat, 30 Jan 2016 07:38:56 +0100

=== debian/control ===
Source: os-prober
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7)
Standards-Version: 3.9.4
Vcs-Browser: https://anonscm.debian.org/cgit/d-i/os-prober.git
Vcs-Git: https://anonscm.debian.org/git/d-i/os-prober.git

Package: os-prober-udeb
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, di-utils-mapdevfs, anna (>= 1.16), grub-mount-udeb [i386 amd64 powerpc ppc64 ppc64el sparc mipsel kfreebsd-i386 kfreebsd-amd64]
Provides: os-prober
Description: utility to detect other OSes on a set of drives
 This package is to be used by boot loader installers to detect other OSes
 available on a system, in a generic format, which it can then adapt to its
 own configuration format.

Package: os-prober
Architecture: any
Section: utils
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to detect other OSes on a set of drives
 This package detects other OSes available on a system and outputs the
 results in a generic machine-readable format.

## os-prober 1.74

=== debian/changelog ===
os-prober (1.74) unstable; urgency=high

  [ Ivo De Decker ]
  * os-probes/common/50mounted-tests: Skip partition when FS type is
    LVM2_member, since one isn't supposed to touch physical volumes
    directly. This avoids hanging during “dmcreate setup” with
    unencrypted LVM setups (Closes: #853277).

 -- Cyril Brulebois <kibi@debian.org>  Wed, 01 Feb 2017 00:01:17 +0100

os-prober (1.73) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Add support for Mageia, thanks to Neal Gompa (Closes: #851983).

 -- Christian Perrier <bubulle@debian.org>  Sat, 21 Jan 2017 08:44:01 +0100

os-prober (1.72) unstable; urgency=medium

  * Improve logging of mounting and setting partitions to ro/rw (thanks, Ivo
    De Decker).
  * Use a read-only device-mapper entry if possible rather than setting the
    underlying device to read-only (thanks, Ivo De Decker; closes: #701814).
    Note that this introduces a dependency on dmsetup on Linux
    architectures.
  * Remove the "blockdev --setro" code path entirely, since the read-only
    device-mapper arrangement supersedes it and should be safer (closes:
    #648208).
  * Make os-prober-udeb depend on grub-mount-udeb on all Linux and kFreeBSD
    architectures, now that it's available on them all (thanks, James
    Cowgill; closes: #776275).
  * Make os-prober depend on grub-common on Linux and kFreeBSD, in order
    that grub-mount is consistently available.
  * Fix detection of /usr/ partition as a GNU/Linux root partition when
    /lib* directories are moved to /usr/ completely (thanks, Hedayat
    Vatankhah; closes: #698733).
  * Make the yaboot parser more tolerant about the syntax of "append"
    options (thanks, Hedayat Vatankhah; closes: #674561).
  * Disable debugging if OS_PROBER_DISABLE_DEBUG is set (thanks, Hedayat
    Vatankhah; closes: #698598).
  * Replace basename/dirname with shell string processing (thanks, Hedayat
    Vatankhah; part of #694668).
  * Call dmraid only once (thanks, Jeff Mahoney).
  * Fix typos in README (thanks, Nyav; closes: #803155).
  * Add os-release support (based loosely on a patch by Török Edwin; closes:
    #794409).
  * Add Devuan detection (thanks, David Hare; closes: #801631).
  * Work harder to avoid trying to mount extended partitions (thanks,
    Philippe Coval; closes: #784709).
  * Drop " (loader)" suffixes on Microsoft operating systems (thanks, Chris
    Lamb; closes: #787418).

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 Jan 2017 12:44:34 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: os-prober-udeb
 Package-Type: udeb
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, di-utils-mapdevfs, anna (>= 1.16), grub-mount-udeb [i386 amd64 powerpc ppc64 ppc64el sparc mipsel kfreebsd-i386 kfreebsd-amd64]
+Depends: ${misc:Depends}, ${shlibs:Depends}, di-utils-mapdevfs, anna (>= 1.16), grub-mount-udeb [linux-any kfreebsd-any], dmsetup-udeb [linux-any]
 Provides: os-prober
 Description: utility to detect other OSes on a set of drives
  This package is to be used by boot loader installers to detect other OSes
@@ -22,7 +22,7 @@
 Architecture: any
 Section: utils
 Priority: extra
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, grub-common [linux-any kfreebsd-any], dmsetup [linux-any]
 Description: utility to detect other OSes on a set of drives
  This package detects other OSes available on a system and outputs the
  results in a generic machine-readable format.

## os-prober 1.74ubuntu1

=== debian/changelog ===
os-prober (1.74ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable. (LP: #1664731)  Remaining changes:
    - Mount btrfs subvolume @ when present to access a btrfs formatted
      rootfs.
    - When called with WINOSDATA, return the list of Windows partitions
      containing the system instead of only listing these containing the
      bootrecord.
    - Sort detected kernels by modification time, if possible.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 06 Mar 2017 17:05:41 -0500

os-prober (1.73ubuntu3) zesty; urgency=medium

  * Think-o; re-add the is_dos_extended() function in common.sh which went
    missing. This is the right fix for the removal of the test in main
    os-prober, but is still required elsewhere in os-prober. (LP: #1660159)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 31 Jan 2017 16:38:20 -0500

os-prober (1.73ubuntu2) zesty; urgency=medium

  * Remove is_dos_extended test in main os-prober; this was a left-over from
    the merge in previous upload; extended partitions should already be
    skipped for the mount tests as per 1.72. (LP: #1659837)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 27 Jan 2017 12:21:14 -0500

os-prober (1.73ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Mount btrfs subvolume @ when present to access a btrfs formatted
      rootfs.
    - When called with WINOSDATA, return the list of Windows partitions
      containing the system instead of only listing these containing the
      bootrecord.
    - Sort detected kernels by modification time, if possible.
  * debian/control: Drop Vcs-Bzr; it's hugely out of date.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 26 Jan 2017 09:08:18 -0500

os-prober (1.70ubuntu5) zesty; urgency=medium

  * debian/control: add missing Depends on grub-common (which ships grub-mount
    and grub-probe) now that this is the only path to probing for filesystems.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 14 Dec 2016 09:02:51 -0500

os-prober (1.70ubuntu4) zesty; urgency=medium

  * Fixing FS probes in os-probes/common/50mounted-tests (LP: #1579609). 

 -- Eric Desrochers <eric.desrochers@canonical.com>  Tue, 06 Dec 2016 10:02:36 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: os-prober
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7)
 Standards-Version: 3.9.4
-Vcs-Browser: https://anonscm.debian.org/cgit/d-i/os-prober.git
-Vcs-Git: https://anonscm.debian.org/git/d-i/os-prober.git
+XS-Debian-Vcs-Browser: https://anonscm.debian.org/cgit/d-i/os-prober.git
+XS-Debian-Vcs-Git: https://anonscm.debian.org/git/d-i/os-prober.git
 
 Package: os-prober-udeb
 Package-Type: udeb

## os-prober 1.74ubuntu2

=== debian/changelog ===
os-prober (1.74ubuntu2) eoan; urgency=medium

  * Add Windows10 detection in WINOSDATA
  * Add arm64 efi & windows detection

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 05 Jun 2019 02:07:31 +0100

## os-prober 1.76~deb9u1

=== debian/changelog ===
os-prober (1.76~deb9u1) stretch; urgency=medium

  * Rebuild for stretch.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 13 Jul 2017 13:12:22 +0200

os-prober (1.76) unstable; urgency=medium

  [ Cyril Brulebois ]
  * os-probes/mounted/x86/05efi: Fix check on ID_PART_ENTRY_SCHEME, to
    look for "dos" instead of "msdos" (Closes: #817023).

 -- Christian Perrier <bubulle@debian.org>  Wed, 28 Jun 2017 07:08:36 +0200

os-prober (1.75) unstable; urgency=medium

  * Remove code using device mapper (Closes: #860833, #853927, #853163).
    This code doesn't work in d-i and it has some issues outside d-i. All
    architectures can use the grub-mount codepath, which was already the
    default anyway.
    This also removes the dependency on dmsetup.

 -- Ivo De Decker <ivodd@debian.org>  Mon, 01 May 2017 09:55:33 +0200

=== debian/control ===
Source: os-prober
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7)
Standards-Version: 3.9.4
Vcs-Browser: https://anonscm.debian.org/cgit/d-i/os-prober.git
Vcs-Git: https://anonscm.debian.org/git/d-i/os-prober.git

Package: os-prober-udeb
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, di-utils-mapdevfs, anna (>= 1.16), grub-mount-udeb [linux-any kfreebsd-any]
Provides: os-prober
Description: utility to detect other OSes on a set of drives
 This package is to be used by boot loader installers to detect other OSes
 available on a system, in a generic format, which it can then adapt to its
 own configuration format.

Package: os-prober
Architecture: any
Section: utils
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, grub-common [linux-any kfreebsd-any]
Description: utility to detect other OSes on a set of drives
 This package detects other OSes available on a system and outputs the
 results in a generic machine-readable format.

## os-prober 1.77

=== debian/changelog ===
os-prober (1.77) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

  [ Philip Hands ]
  * Add CI configuration for gitlab

  [ Colin Watson ]
  * Change priority of os-prober binary package to optional, since
    "Priority: extra" is now deprecated.

  [ Holger Wansing ]
  * Remove trailing whitespaces from changelog file, to fix lintian tag.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 23 Dec 2018 19:52:58 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7)
 Standards-Version: 3.9.4
-Vcs-Browser: https://anonscm.debian.org/cgit/d-i/os-prober.git
-Vcs-Git: https://anonscm.debian.org/git/d-i/os-prober.git
+Vcs-Browser: https://salsa.debian.org/installer-team/os-prober
+Vcs-Git: https://salsa.debian.org/installer-team/os-prober.git
 
 Package: os-prober-udeb
 Package-Type: udeb
@@ -21,7 +21,6 @@
 Package: os-prober
 Architecture: any
 Section: utils
-Priority: extra
 Depends: ${shlibs:Depends}, ${misc:Depends}, grub-common [linux-any kfreebsd-any]
 Description: utility to detect other OSes on a set of drives
  This package detects other OSes available on a system and outputs the

## os-prober 1.77mx19+1

=== debian/changelog ===
os-prober (1.77mx19+1) mx; urgency=medium

  * linux-boot-probes/mounted/common/40grub2: Provide early initrd's to
    grub-mkconfig.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Sep 2019 14:58:13 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,11 @@
 Source: os-prober
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Steve McIntyre <93sam@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Uploaders: Colin Watson <cjwatson@debian.org>,
+           Christian Perrier <bubulle@debian.org>,
+           Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7)
 Standards-Version: 3.9.4
 Vcs-Browser: https://salsa.debian.org/installer-team/os-prober
@@ -11,7 +14,11 @@
 Package: os-prober-udeb
 Package-Type: udeb
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, di-utils-mapdevfs, anna (>= 1.16), grub-mount-udeb [linux-any kfreebsd-any]
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         di-utils-mapdevfs,
+         anna (>= 1.16),
+         grub-mount-udeb [linux-any kfreebsd-any]
 Provides: os-prober
 Description: utility to detect other OSes on a set of drives
  This package is to be used by boot loader installers to detect other OSes

## os-prober 1.77ubuntu3

=== debian/changelog ===
os-prober (1.77ubuntu3) hirsute; urgency=medium

  * Stop building the udeb on request.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 12:16:36 +0100

os-prober (1.77ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. (LP: #1664731)  Remaining changes:
    - Mount btrfs subvolume @ when present to access a btrfs formatted
      rootfs.
    - When called with WINOSDATA, return the list of Windows partitions
      containing the system instead of only listing these containing the
      bootrecord. Add Windows10 and arm64 detection.
    - Sort detected kernels by modification time, if possible.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 02 Nov 2020 11:12:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: os-prober
 Section: debian-installer
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Colin Watson <cjwatson@debian.org>,
-           Christian Perrier <bubulle@debian.org>,
-           Steve McIntyre <93sam@debian.org>
+Uploaders: Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7)
 Standards-Version: 3.9.4
 Vcs-Browser: https://salsa.debian.org/installer-team/os-prober
@@ -13,12 +11,9 @@
 
 Package: os-prober-udeb
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         di-utils-mapdevfs,
-         anna (>= 1.16),
-         grub-mount-udeb [linux-any kfreebsd-any]
+Depends: ${misc:Depends}, ${shlibs:Depends}, di-utils-mapdevfs, anna (>= 1.16), grub-mount-udeb [linux-any kfreebsd-any]
 Provides: os-prober
 Description: utility to detect other OSes on a set of drives
  This package is to be used by boot loader installers to detect other OSes

## os-prober 1.77+nmu1

=== debian/changelog ===
os-prober (1.77+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:06:57 +0800

## os-prober 1.78

=== debian/changelog ===
os-prober (1.78) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927552)

  [ Shawn Guo ]
  * Probe microsoft OS on arm64.

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 21 Jan 2021 01:14:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: os-prober
 Section: debian-installer
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Steve McIntyre <93sam@debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Uploaders: Colin Watson <cjwatson@debian.org>, Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7)
 Standards-Version: 3.9.4
 Vcs-Browser: https://salsa.debian.org/installer-team/os-prober
@@ -11,7 +10,6 @@
 
 Package: os-prober-udeb
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, di-utils-mapdevfs, anna (>= 1.16), grub-mount-udeb [linux-any kfreebsd-any]
 Provides: os-prober

## os-prober 1.79

=== Makefile ===
CFLAGS := -Os -g -Wall

all: newns

newns: newns.c
	$(CC) $(CFLAGS) $(LDFLAGS) $^ -o $@

clean:
	rm -f newns

=== debian/changelog ===
os-prober (1.79) unstable; urgency=medium

  * Team upload
  * Add mount dependency (Closes: #934713)

 -- Hideki Yamane <henrich@debian.org>  Mon, 28 Jun 2021 22:02:45 +0900

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 Package: os-prober
 Architecture: any
 Section: utils
-Depends: ${shlibs:Depends}, ${misc:Depends}, grub-common [linux-any kfreebsd-any]
+Depends: ${shlibs:Depends}, ${misc:Depends}, grub-common [linux-any kfreebsd-any], mount
 Description: utility to detect other OSes on a set of drives
  This package detects other OSes available on a system and outputs the
  results in a generic machine-readable format.
